MKNOD(1)

NIMI
mknod - make block or character special files

YLEISKATSAUS
mknod [VALITSIN]... NIMI TYYPPI [MAJOR MINOR]

KUVAUS

Luo TYYPIn mukainen erikoistiedosto NIMI.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-m, --mode=OIKEUDET
    set file permission bits to MODE, not a=rw - umask

-Z  asetti SELinux-suojauskontekstin oletustyypiksi

--context[=CTX]
    kuten -Z, tai jos CTX on määritetty, aseta SELinux- tai SMACK-suojauskonteksti CTX:ään

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Sekä MAJOR- että MINOR-arvo on annettava, jos TYYPPI on b, c tai u, ja ne on jätettävä antamatta, jos tyyppi on p. Jos MAJOR tai MINOR alkaa merkeillä 0x tai 0X, se tulkitaan heksadesimaaliluvuksi; jos numerolla 0, oktaaliluvuksi; muussa tapauksessa kymmenkantaiseksi luvuksi. TYYPPI voi olla:

b   luo lohkoerikoistiedosto (puskuroitu)

c, u
    luo merkkierikoistiedosto (puskuroimaton)

p   luo FIFO-putki

HUOM: käytössä oleva kuori saattaa sisältää oman mknod-versionsa, joka yleensä korvaa korvaa tässä kuvatun version. Kuoren tukemista ominaisuuksista saa lisää tietoa kuoren dokumentaatiosta.

TEKIJÄ
Kirjoittanut David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2022 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
mknod(2)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/mknod>
tai saatavilla paikallisesti: info '(coreutils) mknod invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Sami Kuhmonen <sami@iqs.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.